Package com.xebialabs.xlrelease.domain.runner

# Class JobRunnerOps$

java.lang.Object
com.xebialabs.xlrelease.domain.runner.JobRunnerOps$

All Implemented Interfaces:
  `JobRunnerOps`

public class JobRunnerOps$ extends Object implements JobRunnerOps

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final JobRunnerOps$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobRunnerOps$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `abortJob(JobRunner runner, long jobId)`
  `boolean`
  `accepts(JobRunner runner)`
  `JobRunnerOps`
  `apply(Set<JobRunnerOps> jobRunnerOps)`
  `void`
  `delete(JobRunner runner)`
  `String`
  `execute(JobRunner runner, RemoteExecution remoteExecution)`
  `void`
  `start(JobRunner runner)`
  `void`
  `stop(JobRunner runner)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final JobRunnerOps$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### JobRunnerOps$

    public JobRunnerOps$()

- ## Method Details

  - ### apply

    public JobRunnerOps apply(Set<JobRunnerOps> jobRunnerOps)

  - ### start

    public void start(JobRunner runner)
    Specified by:
      `start` in interface `JobRunnerOps`

  - ### stop

    public void stop(JobRunner runner)
    Specified by:
      `stop` in interface `JobRunnerOps`

  - ### delete

    public void delete(JobRunner runner)
    Specified by:
      `delete` in interface `JobRunnerOps`

  - ### abortJob

    public void abortJob(JobRunner runner, long jobId)
    Specified by:
      `abortJob` in interface `JobRunnerOps`

  - ### accepts

    public boolean accepts(JobRunner runner)
    Specified by:
      `accepts` in interface `JobRunnerOps`

  - ### execute

    public String execute(JobRunner runner, RemoteExecution remoteExecution)
    Specified by:
      `execute` in interface `JobRunnerOps`